Get ClickHouse settings schema
Disclaimer: This beta endpoint is evolving; the API contract may change.
Returns the schema of all configurable ClickHouse settings, including types, valid values, descriptions, and warnings.
GET
/
v1
/
organizations
/
{organizationId}
/
services
/
{serviceId}
/
clickhouseSettings
/
schema
Get ClickHouse settings schema
curl --request GET \
--url https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickhouseSettings/schema \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickhouseSettings/schema"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickhouseSettings/schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": {
"settings": [
{
"name": "compatibility",
"type": "string",
"description": "ClickHouse version compatibility setting.",
"enum": [
0,
1
],
"warning": "Changing this setting without comprehensive testing can cause instability.",
"deprecationNotice": "This setting may become obsolete with Cloud v2 stateless workers.",
"example": "24.8"
}
]
}
}{
"status": 400,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": 500,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Beta
Disclaimer: This beta endpoint is evolving; the API contract may change.
Returns the schema of all configurable ClickHouse settings, including types, valid values, descriptions, and warnings.
Returns the schema of all configurable ClickHouse settings, including types, valid values, descriptions, and warnings.
Authorizations
Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi
Path Parameters
ID of the organization that owns the service.
ID of the service.
Last modified on July 9, 2026
Was this page helpful?
⌘I
Get ClickHouse settings schema
